These are diffs for interp.shar.Z. I made changes such that
I minimize warnings from 'gcc -Wall'. The only remaining warnings
should be the int functions that should be defined in gis.h but
aren't. 

--Darrell  4 Mar 1995

James Darrell McCauley, PhD        http://soils.ecn.purdue.edu/~mccauley/
Dept of Agricultural Engineering   mccauley@ecn.purdue.edu
Purdue University            new-> tel: 317.494.1198 fax: 317.496.1115

Common subdirectories: interp/data and interp.gcc-Wall:no-warnings/data
Common subdirectories: interp/interp and interp.gcc-Wall:no-warnings/interp
Common subdirectories: interp/s.surf.tps and interp.gcc-Wall:no-warnings/s.surf.tps
Common subdirectories: interp/tree and interp.gcc-Wall:no-warnings/tree
Common subdirectories: interp/v.surf.tps and interp.gcc-Wall:no-warnings/v.surf.tps
diff -rc interp/data/dataquad.c interp.gcc-Wall:no-warnings/data/dataquad.c
*** interp/data/dataquad.c	Sun Mar  5 03:30:04 1995
--- interp.gcc-Wall:no-warnings/data/dataquad.c	Sun Mar  5 03:01:16 1995
***************
*** 44,49 ****
--- 44,50 ----
      int             rows;
      int             cols;
      int             n_points;
+     int             kmax;
  /* Initializes QUADDATA structure with given arguments*/
  {
      struct quaddata *data;
diff -rc interp/interp/Gmakefile interp.gcc-Wall:no-warnings/interp/Gmakefile
*** interp/interp/Gmakefile	Sun Mar  5 03:30:08 1995
--- interp.gcc-Wall:no-warnings/interp/Gmakefile	Sun Mar  5 03:20:22 1995
***************
*** 11,17 ****
  
  SRCS   =  func2d.c input2d.c vinput2d.c interp2d.c output2d.c point2d.c secpar2d.c segmen2d.c write2d.c matrix.c minmax.c newsegm2d.c init2d.c ressegm2d.c resout2d.c
  
! $(LIB): $(LIST) $(TREELIB) $(DATALIB) $(GISLIB) $(BITMAPLIB) $(LINKMLIB) $(VECTLIB)
  	$(AR)
  #	$(CC) $(LDFLAGS) $(LIST)  $(BITMAPLIB) $(LINKMLIB) $(GISLIB) $(VECTLIB) $(MATHLIB)
  
--- 11,18 ----
  
  SRCS   =  func2d.c input2d.c vinput2d.c interp2d.c output2d.c point2d.c secpar2d.c segmen2d.c write2d.c matrix.c minmax.c newsegm2d.c init2d.c ressegm2d.c resout2d.c
  
! #$(LIB): $(LIST) $(TREELIB) $(DATALIB) $(GISLIB) $(BITMAPLIB) $(LINKMLIB) $(VECTLIB)
! $(LIB): $(LIST) 
  	$(AR)
  #	$(CC) $(LDFLAGS) $(LIST)  $(BITMAPLIB) $(LINKMLIB) $(GISLIB) $(VECTLIB) $(MATHLIB)
  
diff -rc interp/interp/input2d.c interp.gcc-Wall:no-warnings/interp/input2d.c
*** interp/interp/input2d.c	Sun Mar  5 03:30:10 1995
--- interp.gcc-Wall:no-warnings/interp/input2d.c	Sun Mar  5 03:05:46 1995
***************
*** 37,50 ****
      char            *desc;
      double          c1, c2, c3, c4 ;
      int             k = 0;
-     double          deltx,delty;
      int             a;
-     char            *buf[1024];
-     int             i, j;
      int             first_time = 1;
      double          ns_res,ew_res;
!     int             npoint,OUTRANGE,NPT;
      int             totsegm;
      struct quaddata *data = (struct quaddata *)info->root->data;
      double           atof();
  
--- 37,48 ----
      char            *desc;
      double          c1, c2, c3, c4 ;
      int             k = 0;
      int             a;
      int             first_time = 1;
      double          ns_res,ew_res;
!     int             npoint,OUTRANGE;
      int             totsegm;
+     int             translate_quad();
      struct quaddata *data = (struct quaddata *)info->root->data;
      double           atof();
  
***************
*** 75,81 ****
  	else
  	{
  	    fprintf (stderr, "missing z-value on line %d of input site file\n",
! 		      desc, k);
  	    return -1;
  	}
  	z = value*params->zmult;
--- 73,79 ----
  	else
  	{
  	    fprintf (stderr, "missing z-value on line %d of input site file\n",
! 		      k);
  	    return -1;
  	}
  	z = value*params->zmult;
***************
*** 105,111 ****
              }
              free(point);
              if(a<0) {
! 		fprintf (stderr, "cannot insert %lf,%lf,%lf a = %d\n",x,y,z,a);
                  return -1;
              }
  
--- 103,109 ----
              }
              free(point);
              if(a<0) {
! 		fprintf (stderr, "cannot insert %f,%f,%f a = %d\n",x,y,z,a);
                  return -1;
              }
  
***************
*** 190,196 ****
      int i,j,cfmask,irev;
      char *mapsetm;
      CELL *cellmask;
-     char buf[1024];
  
      if (params->maskmap != NULL)
      {
--- 188,193 ----
***************
*** 234,240 ****
      int             n_leafs;
  {
      int total=0,i,ii;
-     struct triple *point;
  
      if (tree == NULL)
  	return 0;
--- 231,236 ----
diff -rc interp/interp/interp2d.c interp.gcc-Wall:no-warnings/interp/interp2d.c
*** interp/interp/interp2d.c	Sun Mar  5 03:30:11 1995
--- interp.gcc-Wall:no-warnings/interp/interp2d.c	Sun Mar  5 03:11:58 1995
***************
*** 60,73 ****
      static double   *w2 = NULL;
      static double   *w = NULL;
      int             cond1,cond2;
!     double 	    amaxa,r;
!     double          stepix, stepiy, RO, xx, yy, xg, yg, xx2;
      double          rfsta2,/*cons, cons1,*/ wm, dx, dy, dxx, dyy, dxy, h, bmgd1,
                      bmgd2;
      double          r2, gd1, gd2;	/* for interpder() */
!     int             n1, k1, k2, k, i1, l, l1, n4, n5, m, i, icont, ncont;
      int             ngstc, nszc, ngstr, nszr;
-     int             j,jr,ll1,ll2;
      double          zz;
      int             bmask=1;
      static int	    first_time_z = 1;
--- 60,72 ----
      static double   *w2 = NULL;
      static double   *w = NULL;
      int             cond1,cond2;
!     double 	    r;
!     double          stepix, stepiy, xx, xg, yg, xx2;
      double          rfsta2,/*cons, cons1,*/ wm, dx, dy, dxx, dyy, dxy, h, bmgd1,
                      bmgd2;
      double          r2, gd1, gd2;	/* for interpder() */
!     int             n1, k, l, m;
      int             ngstc, nszc, ngstr, nszr;
      double          zz;
      int             bmask=1;
      static int	    first_time_z = 1;
***************
*** 193,199 ****
  	      fprintf (stderr, "WARNING:\n");
  	      fprintf (stderr, "Overshoot -- increase in tension suggested.\n");
  	      fprintf (stderr, "Overshoot occures at (%d,%d) cell\n", l, k);
! 	      fprintf(stderr,"The z-value is %lf,zmin is %lf,zmax is %lf\n",zz,zmin,zmax);
  	    }
  	  }
          } /* skip here if you are in masked area, zz,dx, ... dxy should be 0 */
--- 192,198 ----
  	      fprintf (stderr, "WARNING:\n");
  	      fprintf (stderr, "Overshoot -- increase in tension suggested.\n");
  	      fprintf (stderr, "Overshoot occures at (%d,%d) cell\n", l, k);
! 	      fprintf(stderr,"The z-value is %f,zmin is %f,zmax is %f\n",zz,zmin,zmax);
  	    }
  	  }
          } /* skip here if you are in masked area, zz,dx, ... dxy should be 0 */
diff -rc interp/interp/matrix.c interp.gcc-Wall:no-warnings/interp/matrix.c
*** interp/interp/matrix.c	Sun Mar  5 03:30:11 1995
--- interp.gcc-Wall:no-warnings/interp/matrix.c	Sun Mar  5 03:14:37 1995
***************
*** 33,39 ****
      double          xx, yy;
      double          rfsta2,r;
      double          d;
!     int             n1, k1, k2, k, i1, l, l1, n4, n5, m, i, j;
      double          fstar2 = params->fi * params->fi / 4.;
      static double   *A = NULL;
      double          RO,amaxa;
--- 33,39 ----
      double          xx, yy;
      double          rfsta2,r;
      double          d;
!     int             n1, k1, k2, k, i1, l, m, i, j;
      double          fstar2 = params->fi * params->fi / 4.;
      static double   *A = NULL;
      double          RO,amaxa;
***************
*** 81,87 ****
  	    if (rfsta2 == 0.)
  	    {
  		fprintf (stderr,"ident. points in segm.  \n");
! 		fprintf (stderr,"x[%d]=%lf,x[%d]=%lf,y[%d]=%lf,y[%d]=%lf\n",
  			k - 1, points[k - 1].x, l - 1, points[l - 1].x, k - 1, points[k - 1].y, l - 1, points[l - 1].y);
                  return -1;
  	    }
--- 81,87 ----
  	    if (rfsta2 == 0.)
  	    {
  		fprintf (stderr,"ident. points in segm.  \n");
! 		fprintf (stderr,"x[%d]=%f,x[%d]=%f,y[%d]=%f,y[%d]=%f\n",
  			k - 1, points[k - 1].x, l - 1, points[l - 1].x, k - 1, points[k - 1].y, l - 1, points[l - 1].y);
                  return -1;
  	    }
diff -rc interp/interp/output2d.c interp.gcc-Wall:no-warnings/interp/output2d.c
*** interp/interp/output2d.c	Sun Mar  5 03:30:13 1995
--- interp.gcc-Wall:no-warnings/interp/output2d.c	Sun Mar  5 03:12:54 1995
***************
*** 40,48 ****
      CELL           *cell1;
      int             cf1, cf2, cf3, cf4, cf5, cf6;
      int             nrows, ncols;
!     int             i, iarc, j, k;
      int             zstep;
-     char            msg[1024];
      CELL            data1, data2;
      struct Colors   colors;
      struct History  hist;
--- 40,47 ----
      CELL           *cell1;
      int             cf1, cf2, cf3, cf4, cf5, cf6;
      int             nrows, ncols;
!     int             i;
      int             zstep;
      CELL            data1, data2;
      struct Colors   colors;
      struct History  hist;
***************
*** 397,407 ****
  
      params->dmin = sqrt(params->dmin);
      fprintf(stderr,"history initiated\n");
!     sprintf(hist.edhist[0], "tension=%lf, smoothing=%lf", params->fi,params->rsm); 
!     sprintf(hist.edhist[1], "dnorm=%lf, dmin=%lf, zmult=%lf", dnorm, params->dmin,params->zmult); 
!     sprintf(hist.edhist[2], "segmax=%d, npmin=%d, errtotal=%lf", params->kmax,params->kmin,sqrt(ertot)/n_points);
!     sprintf(hist.edhist[3], "zmin_data=%lf, zmax_data=%lf", zmin,zmax);
!     sprintf(hist.edhist[4], "zmin_int=%lf, zmax_int=%lf",zminac,zmaxac);
  
      if (vect) 
        sprintf(hist.datsrc_1,"vector file %s", input);
--- 396,406 ----
  
      params->dmin = sqrt(params->dmin);
      fprintf(stderr,"history initiated\n");
!     sprintf(hist.edhist[0], "tension=%f, smoothing=%f", params->fi,params->rsm); 
!     sprintf(hist.edhist[1], "dnorm=%f, dmin=%f, zmult=%f", dnorm, params->dmin,params->zmult); 
!     sprintf(hist.edhist[2], "segmax=%d, npmin=%d, errtotal=%f", params->kmax,params->kmin,sqrt(ertot)/n_points);
!     sprintf(hist.edhist[3], "zmin_data=%f, zmax_data=%f", zmin,zmax);
!     sprintf(hist.edhist[4], "zmin_int=%f, zmax_int=%f",zminac,zmaxac);
  
      if (vect) 
        sprintf(hist.datsrc_1,"vector file %s", input);
diff -rc interp/interp/point2d.c interp.gcc-Wall:no-warnings/interp/point2d.c
*** interp/interp/point2d.c	Sun Mar  5 03:30:13 1995
--- interp.gcc-Wall:no-warnings/interp/point2d.c	Sun Mar  5 03:13:20 1995
***************
*** 41,47 ****
      double          north = data->ymax;
      double          south = data->y_orig; 
      double          rfsta2, errmax, h, xx, yy, r2, hz, zz, err, xmm, ymm,
!                     zmm,r;
      int             n1, mm, m, mmax;
      double          fstar2;
      char            desc[100];
--- 41,47 ----
      double          north = data->ymax;
      double          south = data->y_orig; 
      double          rfsta2, errmax, h, xx, yy, r2, hz, zz, err, xmm, ymm,
!                     r;
      int             n1, mm, m, mmax;
      double          fstar2;
      char            desc[100];
***************
*** 69,75 ****
  	zz = (points[mm - 1].z * dnorm) + zmin;
  	err = hz - zz;
          if (params->fddevi != NULL) {
!           sprintf (desc, "#%lf", err);
            xmm = points[mm - 1].x * dnorm + params->x_orig + west;
            ymm = points[mm - 1].y * dnorm + params->y_orig + south;
  /* if the point is inside the region */
--- 69,75 ----
  	zz = (points[mm - 1].z * dnorm) + zmin;
  	err = hz - zz;
          if (params->fddevi != NULL) {
!           sprintf (desc, "#%f", err);
            xmm = points[mm - 1].x * dnorm + params->x_orig + west;
            ymm = points[mm - 1].y * dnorm + params->y_orig + south;
  /* if the point is inside the region */
diff -rc interp/interp/resout2d.c interp.gcc-Wall:no-warnings/interp/resout2d.c
*** interp/interp/resout2d.c	Sun Mar  5 03:30:14 1995
--- interp.gcc-Wall:no-warnings/interp/resout2d.c	Sun Mar  5 03:18:28 1995
***************
*** 39,47 ****
      CELL           *cell1;  /*  cell buffer */
      int             cf1, cf2, cf3, cf4, cf5, cf6; /* cell file descriptors */
      int             nrows, ncols;   /* current region rows and columns */
-     char            msg[1024];
      int             i;     /* loop counter */
-     int             zstep;
      CELL            data1, data2;
      struct Colors   colors;     /* colors structure */
      struct History  hist;       /* history structure */
--- 39,45 ----
***************
*** 417,429 ****
  
      G_short_history(params->elev, "raster", &hist);
      if (smooth != NULL)
!       sprintf(hist.edhist[0], "tension=%lf, smoothing=%s", params->fi,smooth); 
      else
!       sprintf(hist.edhist[0], "tension=%lf", params->fi); 
!     sprintf(hist.edhist[1], "dnorm=%lf, zmult=%lf", dnorm,params->zmult); 
!     sprintf(hist.edhist[2], "KMAX=%d, KMIN=%d, errtotal=%lf",params->kmax,params->kmin,ertot);
!     sprintf(hist.edhist[3], "zmin_data=%lf, zmax_data=%lf", zmin,zmax);
!     sprintf(hist.edhist[4], "zmin_int=%lf, zmax_int=%lf",zminac,zmaxac);
  
      sprintf(hist.datsrc_1,"site file %s", input);
  
--- 415,427 ----
  
      G_short_history(params->elev, "raster", &hist);
      if (smooth != NULL)
!       sprintf(hist.edhist[0], "tension=%f, smoothing=%s", params->fi,smooth); 
      else
!       sprintf(hist.edhist[0], "tension=%f", params->fi); 
!     sprintf(hist.edhist[1], "dnorm=%f, zmult=%f", dnorm,params->zmult); 
!     sprintf(hist.edhist[2], "KMAX=%d, KMIN=%d, errtotal=%f",params->kmax,params->kmin,ertot);
!     sprintf(hist.edhist[3], "zmin_data=%f, zmax_data=%f", zmin,zmax);
!     sprintf(hist.edhist[4], "zmin_int=%f, zmax_int=%f",zminac,zmaxac);
  
      sprintf(hist.datsrc_1,"site file %s", input);
  
diff -rc interp/interp/ressegm2d.c interp.gcc-Wall:no-warnings/interp/ressegm2d.c
*** interp/interp/ressegm2d.c	Sun Mar  5 03:30:14 1995
--- interp.gcc-Wall:no-warnings/interp/ressegm2d.c	Sun Mar  5 03:17:37 1995
***************
*** 46,52 ****
      int            n_rows,n_cols,inp_r,inp_c;
      double         x_or,y_or,xm,ym;
      static int     first = 1,new_first=1;
-     char           msg[1024];
      double         **matrix,**new_matrix,*b = NULL;
      int            *indx,*new_indx;
      static struct  triple *in_points = NULL;      /* input points */
--- 46,51 ----
***************
*** 56,63 ****
      int            first_col,last_col; /* first and last input col of segment */
      int            num,prev; 
      int            div;  /* number of divides */
!     int            rem_inp_row,rem_inp_col, /* input rows/cols remainders */
!                    rem_out_row,rem_out_col; /* output rows/cols remainders */
      int            inp_seg_r,inp_seg_c, /* # of input rows/cols in segment */ 
                     out_seg_r,out_seg_c; /* # of output rows/cols in segment */
      int            ngstc,nszc  /* first and last output col of the segment */
--- 55,61 ----
      int            first_col,last_col; /* first and last input col of segment */
      int            num,prev; 
      int            div;  /* number of divides */
!     int            rem_out_row,rem_out_col; /* output rows/cols remainders */
      int            inp_seg_r,inp_seg_c, /* # of input rows/cols in segment */ 
                     out_seg_r,out_seg_c; /* # of output rows/cols in segment */
      int            ngstc,nszc  /* first and last output col of the segment */
***************
*** 420,426 ****
  
  /*  input of data for interpolation and smoothing parameters */
  
! input_data (params,first_row,last_row,points,fdsmooth,fdinp,
                 inp_rows,inp_cols,zmin,inp_ns_res,inp_ew_res)
      struct interp_params *params;
      int first_row,last_row;
--- 418,424 ----
  
  /*  input of data for interpolation and smoothing parameters */
  
! int input_data (params,first_row,last_row,points,fdsmooth,fdinp,
                 inp_rows,inp_cols,zmin,inp_ns_res,inp_ew_res)
      struct interp_params *params;
      int first_row,last_row;
***************
*** 431,445 ****
      double inp_ns_res,inp_ew_res;
  {
      double          x, y, z, sm;  /* input data and smoothing */
-     int             ddisk=0,sddisk=0; /* amount of disk space needed */
-     double          deltx,delty;
-     char            buf[1024];
      int             m1, m2;  /* loop counters */
-     static int      first_time = 1;
      int             ret_val,ret_val1; /* return values of G_get_map_row */
      static CELL     *cellinp; /* cell buffer for input data */
      static CELL     *cellsmooth; /* cell buffer for smoothing */ 
-     int             ind = 0;
  
  
      if (!cellinp) cellinp = G_allocate_cell_buf();
--- 429,438 ----
***************
*** 494,503 ****
      int             n_rows = data->n_rows;
      int             n_cols = data->n_cols;
      int             cond1,cond2;
!     double          dx, dy, dxx, dyy, dxy;
!     int             n1, k1, k2, k, i1, l, m, i;
      int             ngstc, nszc, ngstr, nszr;
-     double          zz;
      int             offset,offset2;
      double          ns_res,ew_res;
  
--- 487,494 ----
      int             n_rows = data->n_rows;
      int             n_cols = data->n_cols;
      int             cond1,cond2;
!     int             k, l;
      int             ngstc, nszc, ngstr, nszr;
      int             offset,offset2;
      double          ns_res,ew_res;
  
diff -rc interp/interp/secpar2d.c interp.gcc-Wall:no-warnings/interp/secpar2d.c
*** interp/interp/secpar2d.c	Sun Mar  5 03:30:15 1995
--- interp.gcc-Wall:no-warnings/interp/secpar2d.c	Sun Mar  5 03:13:51 1995
***************
*** 50,61 ****
  		 curn,		/* profile curvature */
  		 curh,		/* tangential curvature */
  		 curm,		/* mean curvature */
- 		 arc,		/* temp variable */
  		 temp,		/* temp  variable*/
  		 dxy2;		/* temp variable   square of part diriv. */
  
  double          gradmin;
! int             i, j, got, bmask=1;
  static int		first_time_g = 1;
  
  ro = 57.295779;
--- 50,60 ----
  		 curn,		/* profile curvature */
  		 curh,		/* tangential curvature */
  		 curm,		/* mean curvature */
  		 temp,		/* temp  variable*/
  		 dxy2;		/* temp variable   square of part diriv. */
  
  double          gradmin;
! int             i, got, bmask=1;
  static int		first_time_g = 1;
  
  ro = 57.295779;
diff -rc interp/interp/vinput2d.c interp.gcc-Wall:no-warnings/interp/vinput2d.c
*** interp/interp/vinput2d.c	Sun Mar  5 03:30:16 1995
--- interp.gcc-Wall:no-warnings/interp/vinput2d.c	Sun Mar  5 03:10:25 1995
***************
*** 5,10 ****
--- 5,11 ----
  */
  
  #include <stdio.h>
+ #include <stdlib.h>
  #include <math.h>
  #include "digit.h"
  #include "dig_head.h"
***************
*** 11,20 ****
  #include "Vect.h"
  
  
! extern  char *calloc(); /* removed <malloc.h> alpha930100 parghi 1993-03-30 */
! extern  int  free();
! extern  char *malloc();
! extern  char *realloc();
  #include "gis.h"
  #include "bitmap.h"
  #include "linkm.h"
--- 12,19 ----
  #include "Vect.h"
  
  
! /* removed <malloc.h> alpha930100 parghi 1993-03-30 */
! /* extern  int  free(); this is defined in stdlib.h */
  #include "gis.h"
  #include "bitmap.h"
  #include "linkm.h"
***************
*** 41,71 ****
  */
  
  {
-     struct triple   *point;
-     double          east, north, value, x, y, z;
-     char            *desc;
      double          c1, c2, c3, c4 ;
      int             k = 0;
-     double          deltx,delty;
-     int             a;
-     char            *buf[1024];
-     int             i, j;
-     int             first_time = 1;
      double          ns_res,ew_res;
!     int             npoint,OUTRANGE,NPT;
      int             totsegm;
      int             process_point();
      struct quaddata *data = (struct quaddata *)info->root->data;
  
!     int type;
!     register int i1, tmp;
      double *xptr, *yptr,xprev,yprev,x1,y1,d1,xt,yt;
      static struct line_pnts *Points;
-     char buf1[100], buf2[100];
      char *p;
      int att,n_points1,times,j1,k1,ind1,ind2;
      int prev = 0;
      int isnode =0;
   
      OUTRANGE=0;
      npoint=0;
--- 40,61 ----
  */
  
  {
      double          c1, c2, c3, c4 ;
      int             k = 0;
      double          ns_res,ew_res;
!     int             npoint,OUTRANGE;
      int             totsegm;
      int             process_point();
      struct quaddata *data = (struct quaddata *)info->root->data;
  
!     register int i1;
      double *xptr, *yptr,xprev,yprev,x1,y1,d1,xt,yt;
      static struct line_pnts *Points;
      char *p;
      int att,n_points1,times,j1,k1,ind1,ind2;
      int prev = 0;
      int isnode =0;
+     int translate_quad();
   
      OUTRANGE=0;
      npoint=0;
***************
*** 232,246 ****
  
  {
      struct triple   *point;
-     double          east, north, value;
      double          c1, c2, c3, c4 ;
-     int             k = 0;
-     double          deltx,delty;
      int             a;
-     char            *buf[1024];
-     int             i, j;
      static int      first_time = 1;
-     double          ns_res,ew_res;
      struct quaddata *data = (struct quaddata *)info->root->data;
  
  
--- 222,230 ----
***************
*** 274,280 ****
            (*npoint)++;
          }
          if(a<0) {
!           fprintf (stderr, "cannot insert %lf,%lf,%lf a = %d\n",x,y,z,a);
            return -1;
          }
          free (point);
--- 258,264 ----
            (*npoint)++;
          }
          if(a<0) {
!           fprintf (stderr, "cannot insert %f,%f,%f a = %d\n",x,y,z,a);
            return -1;
          }
          free (point);
diff -rc interp/s.surf.tps/main.c interp.gcc-Wall:no-warnings/s.surf.tps/main.c
*** interp/s.surf.tps/main.c	Sun Mar  5 03:30:06 1995
--- interp.gcc-Wall:no-warnings/s.surf.tps/main.c	Sun Mar  5 03:24:35 1995
***************
*** 25,37 ****
  
  
  
- #include <stdio.h>
- #include <math.h>
- extern  char *calloc(); 
- extern  int  free();
- extern  char *malloc();
- extern  char *realloc();
  #include "gis.h"
  #include "linkm.h"
  #include "bitmap.h"
  #include "interp.h"
--- 25,34 ----
  
  
  
  #include "gis.h"
+ #include <stdlib.h>
+ #include <math.h>
+ #include <unistd.h>
  #include "linkm.h"
  #include "bitmap.h"
  #include "interp.h"
***************
*** 112,122 ****
  char   msg[1024];
  
  
! main (argc, argv)
      int             argc;
      char           *argv[];
- 
- 
  {
      int             per,npmin;
      int             print_tree();
--- 109,117 ----
  char   msg[1024];
  
  
! void main (argc, argv)
      int             argc;
      char           *argv[];
  {
      int             per,npmin;
      int             print_tree();
***************
*** 155,161 ****
      else dmin = ns_res / 2;
      disk = n_rows*n_cols*sizeof(int);
      sdisk = n_rows*n_cols*sizeof(short int);
!     sprintf (dminchar, "%lf", dmin);
      
      parm.input = G_define_option ();
      parm.input->key = "input";
--- 150,156 ----
      else dmin = ns_res / 2;
      disk = n_rows*n_cols*sizeof(int);
      sdisk = n_rows*n_cols*sizeof(short int);
!     sprintf (dminchar, "%f", dmin);
      
      parm.input = G_define_option ();
      parm.input->key = "input";
***************
*** 428,434 ****
      if (mcurv != NULL) 
        Tmp_file_xy = G_tempfile ();
  
!     zero_array_cell = (CELL *)malloc(sizeof(CELL) * n_cols);
      if (! zero_array_cell)
        G_fatal_error("Not enough memory for zero_array_cell");
  
--- 423,429 ----
      if (mcurv != NULL) 
        Tmp_file_xy = G_tempfile ();
  
!     zero_array_cell = (CELL *)G_malloc(sizeof(CELL) * n_cols);
      if (! zero_array_cell)
        G_fatal_error("Not enough memory for zero_array_cell");
  
***************
*** 619,629 ****
   double x_orig,y_orig;
   struct Map_info *Map;
  {
-  double x_se,x_sw,x_ne,x_nw,y_se,y_sw,y_ne,y_nw;
      double xarray[5],yarray[5];
      struct line_pnts *Points;
-     static int k=0;
-     static int i=1;
      int j;
      int type = LINE;
  
--- 614,621 ----
diff -rc interp/tree/tree.c interp.gcc-Wall:no-warnings/tree/tree.c
*** interp/tree/tree.c	Sun Mar  5 03:30:02 1995
--- interp.gcc-Wall:no-warnings/tree/tree.c	Sun Mar  5 03:02:49 1995
***************
*** 103,109 ****
     result of MT_divide(). */
  
  {
!     int     j=0, i, n,k,comp;
      if (tree == NULL)  {
          fprintf(stderr,"insert: tree is NULL\n");
  	return -5;
--- 103,109 ----
     result of MT_divide(). */
  
  {
!     int     i, j=0, k,comp, MT_divide();
      if (tree == NULL)  {
          fprintf(stderr,"insert: tree is NULL\n");
  	return -5;
***************
*** 201,207 ****
  
  
  {
!     int             n = 0, i,j;
      if (tree == NULL) {
          fprintf(stderr,"MT_region_data: tree is NULL\n");
  	return n;
--- 201,207 ----
  
  
  {
!     int            n=0,j;
      if (tree == NULL) {
          fprintf(stderr,"MT_region_data: tree is NULL\n");
  	return n;
diff -rc interp/v.surf.tps/main.c interp.gcc-Wall:no-warnings/v.surf.tps/main.c
*** interp/v.surf.tps/main.c	Sun Mar  5 03:30:08 1995
--- interp.gcc-Wall:no-warnings/v.surf.tps/main.c	Sun Mar  5 03:27:25 1995
***************
*** 25,43 ****
  
  
  
! #include <stdio.h>
  #include <math.h>
  #include "digit.h"
  #include "dig_head.h"
  #include "Vect.h"
  
! 
! 
! extern  char *calloc(); 
! extern  int  free();
! extern  char *malloc();
! extern  char *realloc();
! #include "gis.h"
  #include "linkm.h"
  #include "bitmap.h"
  #include "interp.h"
--- 25,38 ----
  
  
  
! #include <stdlib.h>
  #include <math.h>
+ #include <unistd.h>
  #include "digit.h"
  #include "dig_head.h"
  #include "Vect.h"
  
! #include "gis.h" /* this includes stdio.h */
  #include "linkm.h"
  #include "bitmap.h"
  #include "interp.h"
***************
*** 120,130 ****
  char   msg[1024];
  
  
! main (argc, argv)
      int             argc;
      char           *argv[];
- 
- 
  {
      int             per,npmin;
      int             print_tree();
--- 115,123 ----
  char   msg[1024];
  
  
! void main (argc, argv)
      int             argc;
      char           *argv[];
  {
      int             per,npmin;
      int             print_tree();
***************
*** 165,172 ****
      else dmin = ns_res / 2;
      disk = n_rows*n_cols*sizeof(int);
      sdisk = n_rows*n_cols*sizeof(short int);
!     sprintf (dmaxchar, "%lf", dmin*5);
!     sprintf (dminchar, "%lf", dmin);
      
      parm.input = G_define_option ();
      parm.input->key = "input";
--- 158,165 ----
      else dmin = ns_res / 2;
      disk = n_rows*n_cols*sizeof(int);
      sdisk = n_rows*n_cols*sizeof(short int);
!     sprintf (dmaxchar, "%f", dmin*5);
!     sprintf (dminchar, "%f", dmin);
      
      parm.input = G_define_option ();
      parm.input->key = "input";
***************
*** 673,683 ****
   double x_orig,y_orig;
   struct Map_info *Map;
  {
-  double x_se,x_sw,x_ne,x_nw,y_se,y_sw,y_ne,y_nw;
      double xarray[5],yarray[5];
      struct line_pnts *Points;
-     static int k=0;
-     static int i=1;
      int j;
      int type = LINE;
  
--- 666,673 ----
